
# .pro to build project using qmake
# run $qmake build_makefile.pro

SRC=src/
H=header/

EXTERNAL_SRC=external/src/
EXTERNAL_INCLUDE=external/include/

F01=main
F02=scene
F03=evaluator_spline
F04=grid
F05=matrix3
F06=matrix4
F07=patch4
F08=surface_param
F09=surface_param_drawable
F10=v3
F11=v4
F12=glwidget
F13=gui_interface
F14=intersection_helper
F15=mesh
F16=mesh_io_off
F17=navigator_tool
F18=opengl_drawer
F19=picking_data
F20=quad_index
F21=quaternion
F22=string_helper
F23=texture
F24=trackball
F25=window



HEADERS = $${H}$${F02}.hpp \
          $${H}$${F03}.hpp \
          $${H}$${F04}.hpp \
          $${H}$${F05}.hpp \
          $${H}$${F06}.hpp \
          $${H}$${F07}.hpp \
          $${H}$${F08}.hpp \
          $${H}$${F09}.hpp \
          $${H}$${F10}.hpp \
          $${H}$${F11}.hpp \
          $${EXTERNAL_INCLUDE}$${F12}.hpp \
          $${EXTERNAL_INCLUDE}$${F13}.hpp \
          $${EXTERNAL_INCLUDE}$${F14}.hpp \
          $${EXTERNAL_INCLUDE}$${F15}.hpp \
          $${EXTERNAL_INCLUDE}$${F16}.hpp \
          $${EXTERNAL_INCLUDE}$${F17}.hpp \
          $${EXTERNAL_INCLUDE}$${F18}.hpp \
          $${EXTERNAL_INCLUDE}$${F19}.hpp \
          $${EXTERNAL_INCLUDE}$${F20}.hpp \
          $${EXTERNAL_INCLUDE}$${F21}.hpp \
          $${EXTERNAL_INCLUDE}$${F22}.hpp \
          $${EXTERNAL_INCLUDE}$${F23}.hpp \
          $${EXTERNAL_INCLUDE}$${F24}.hpp \
          $${EXTERNAL_INCLUDE}$${F25}.hpp \


SOURCES = $${SRC}$${F01}.cpp \
          $${SRC}$${F02}.cpp \
          $${SRC}$${F03}.cpp \
          $${SRC}$${F04}.cpp \
          $${SRC}$${F05}.cpp \
          $${SRC}$${F06}.cpp \
          $${SRC}$${F07}.cpp \
          $${SRC}$${F08}.cpp \
          $${SRC}$${F09}.cpp \
          $${SRC}$${F10}.cpp \
          $${SRC}$${F11}.cpp \
          $${EXTERNAL_SRC}$${F12}.cpp \
          $${EXTERNAL_SRC}$${F13}.cpp \
          $${EXTERNAL_SRC}$${F14}.cpp \
          $${EXTERNAL_SRC}$${F15}.cpp \
          $${EXTERNAL_SRC}$${F16}.cpp \
          $${EXTERNAL_SRC}$${F17}.cpp \
          $${EXTERNAL_SRC}$${F18}.cpp \
          $${EXTERNAL_SRC}$${F19}.cpp \
          $${EXTERNAL_SRC}$${F20}.cpp \
          $${EXTERNAL_SRC}$${F21}.cpp \
          $${EXTERNAL_SRC}$${F22}.cpp \
          $${EXTERNAL_SRC}$${F23}.cpp \
          $${EXTERNAL_SRC}$${F24}.cpp \
          $${EXTERNAL_SRC}$${F25}.cpp \

FORMS += gui/mainwindow.ui \

TARGET = cpe_surface
QT += opengl
CONFIG += debug warn_on

INCLUDEPATH = $${H} $${EXTERNAL_INCLUDE}

LIBS = -lglut


unix{
OBJECTS_DIR = junk/
MOC_DIR     = junk/
}
