
/*
**    TP 4ETI CPE Lyon
**    Copyright (C) 2012 Damien Rohmer
**
**    This program is free software: you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation, either version 3 of the License, or
**    (at your option) any later version.
**
**   This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/



#ifndef _GUI_INTERFACE_HPP_
#define _GUI_INTERFACE_HPP_

namespace cpe
{
  class gui_interface
  {
  public:

    void set_grid_visible(const bool& is_visible);
    void set_gridposition_visible(const bool& is_visible);
    void set_colorpatch_visible(const bool& is_visible);
    void set_curves_visible(const bool& is_visible);
    void set_surface_visible(const bool& is_visible);

    const bool& get_grid_visible() const;
    const bool& get_gridposition_visible() const;
    const bool& get_colorpatch_visible() const;
    const bool& get_curves_visible() const;
    const bool& get_surface_visible() const;

  private:

    bool is_grid_visible;
    bool is_grid_position_visible;
    bool is_colorpatch_visible;
    bool is_curve_visible;
    bool is_surface_visible;
    
  };
}


#endif
